/**新增 修改弹框中的列表渲染及分页操作**/

var innerPage = 1;

// 新增修改 组织人员 列表渲染 ajax请求
function getTeamInnerList(queryParam = {}, innerPage = 1) {
    queryParam.page = innerPage;
    queryParam.limit = 3; // 每页显示条数
    queryParam.start = (queryParam.page - 1) * queryParam.limit;
    ajaxRequest(TEAM_INNERLIST, "POST", queryParam, function(result) {
        let data = result.RESULT;
        let items = '';
        if (result.totalCount > 0) {
            data.forEach(function(item, key) {
                if (item.pd) {
                    arr99.push(item.username)
                    arr99 = unique(arr99);

                    // arrDelPd.push(item.username);
                    // arrDelPd = unique(arrDelPd);
                    console.log('arr99')
                    console.log(arr99)
                }
                // 如果数组里含有item.id  被选中
                if (arr99.indexOf(item.username) > -1) {
                    items += "<tr class='selected'>" + "<td class='status checked' data-id='" + item.username + "' data-username='" + item.username + "' data-phone='" + item.phone + "'></td>" + "<td>" + item.username + "</td>" + "<td>" + item.phone + "</td>" + "</tr>"
                } else {
                    items += "<tr>" + "<td class='status' data-id='" + item.username + "' data-username='" + item.username + "' data-phone='" + item.phone + "'></td>" + "<td>" + item.username + "</td>" + "<td>" + item.phone + "</td>" + "</tr>"
                }
            })
            $('#dataList2').html(items);
            $('#dataList3').html(items);
        } else {
            $('#dataList2').html('');
            $('#dataList3').html('');
        }
        console.log(result)
        totalPages = result.totalCount / result.limit;
        totalPages = Math.ceil(totalPages);
        $('#totalPage2,#totalPage3').html(totalPages); // 总共多少页
        $('#dataTotal2,#dataTotal3').html(result.totalCount); // 总共多少条数据
        $('#currentPage2,#currentPage3').val(innerPage); // 当前页面
        let pageFrom = (innerPage - 1) * result.limit + 1; // 开始
        let pageTo = result.page * result.limit; // 结束
        pageTo = pageTo > result.totalCount ? result.totalCount : pageTo;
        $('#pageFrom2,#pageFrom3').html(pageFrom);
        $('#pageTo2,#pageTo3').html(pageTo);

        // 无数据时
        if (!result.totalCount) {
            $('.pager2.has-data').hide()
            $('.pager2.no-data').show()
        } else {
            $('.pager2.has-data').show()
            $('.pager2.no-data').hide()
        }
        if (innerPage < totalPages) {
            $('#nextPageButton2,#lastPageButton2').removeClass('disabled');
            $('#nextPageButton3,#lastPageButton3').removeClass('disabled');
        } else {
            $('#nextPageButton2,#lastPageButton2').addClass('disabled');
            $('#nextPageButton3,#lastPageButton3').addClass('disabled');
        }
        if (innerPage === 1) {
            $('#firstPageButton2,#prevPageButton2').addClass('disabled');
            $('#firstPageButton3,#prevPageButton3').addClass('disabled');
        } else {
            $('#firstPageButton2,#prevPageButton2').removeClass('disabled');
            $('#firstPageButton3,#prevPageButton3').removeClass('disabled');
        }
    }, function(errorMsg) {
        alert("请求数据失败!");
    }, 3)
};


// 新增弹框分页操作
$('#firstPageButton2').on('click', function() {
    innerPage = 1;
    getTeamInnerList({}, 1);
});

$('#lastPageButton2').on('click', function() {
    innerPage = totalPages;
    getTeamInnerList({}, innerPage);
});

$('#prevPageButton2').on('click', function() {
    innerPage -= 1;
    getTeamInnerList({}, innerPage);
});

$('#nextPageButton2').on('click', function() {
    innerPage += 1;
    getTeamInnerList({}, innerPage);
})



// 修改弹框分页操作
$('#firstPageButton3').on('click', function() {
    innerPage = 1;
    getTeamInnerList(getSearchParamObj2(), 1);
});

$('#lastPageButton3').on('click', function() {
    innerPage = totalPages;
    getTeamInnerList(getSearchParamObj2(), innerPage);
});

$('#prevPageButton3').on('click', function() {
    innerPage -= 1;
    getTeamInnerList(getSearchParamObj2(), innerPage);
});

$('#nextPageButton3').on('click', function() {
    innerPage += 1;
    getTeamInnerList(getSearchParamObj2(), innerPage);
})




// 新增分页刷新按钮
$('.pg-refresh2').click(resetForm);

function resetForm() {
    arr99 = [];
    innerPage = 1;
    getTeamInnerList();
}


// 修改分页刷新
$('.pg-refresh3').click(resetForm2);

function resetForm2() {
    arr99 = [];
    let dataId = $('.pure-table #dataList tr').find('.checked').data('id');
    innerPage = 1;
    getTeamInnerList({ 'dwid': dataId });
}

// 拼接搜索条件
function getSearchParamObj2() {
    let dataId = $('.pure-table #dataList tr').find('.checked').data('id');
    let queryParam = {};
    queryParam.dwid = dataId;
    return queryParam;
}